﻿using OASystem.Domain.Dtos.Groups;
using OASystem.Domain.Dtos.Resource;
using OASystem.Domain.Dtos.System;
using OASystem.Domain.Dtos.UserDto;
using OASystem.Domain.Entities;
using OASystem.Domain.Entities.Groups;
using OASystem.Domain.Entities.Resource;
using OASystem.Domain.Entities.System;
using OASystem.Domain.ViewModels;
using OASystem.Domain.ViewModels.Resource;
using OASystem.Domain.ViewModels.System;

namespace OASystem.Domain.AutoMappers
{
    public class _baseMappingProfile : Profile
    {
        public _baseMappingProfile()
        {
            #region Login
            CreateMap<LoginDto, Sys_Users>();
            #endregion

            #region Systen

            #region 消息

            CreateMap<Sys_Message, DepartmentIView>();
            CreateMap<Sys_MessageReadAuth, DepartmentIView>();
            #endregion

            #region 公司板块
            CreateMap<Sys_Company, CompanyView>();
            CreateMap<AddCompanyDto, Sys_Company>();
            CreateMap<EditCompanyDto, Sys_Company>();
            #endregion

            #region 部门板块
            CreateMap<Sys_Department, DepartmentIView>();
            CreateMap<AddDepartmentDto, Sys_Department>();
            CreateMap<EditDepartmentDto, Sys_Department>();
            #endregion

            #region 岗位板块
            CreateMap<Sys_JobPost, JobPostView>();
            CreateMap<AddJobPostDto,Sys_JobPost>();
            CreateMap<Sys_JobPostI, JobPostView>();
            #endregion

            #region 用户板块
            CreateMap<UserDto, Sys_Users>();
            CreateMap<Sys_Users, UserInfo>();
            CreateMap<UserInfo,UserInfoWebView>();

            #endregion

            #endregion

            #region Group

            CreateMap<GroupListDto, Grp_DelegationInfo>();
            #endregion

            #region Resource
            #region 车公司资料
            CreateMap<Res_CarData, CarDataView>();
            CreateMap<AddCarDataDto, Res_CarData>();
            #endregion
            #endregion
        }
    }
}
