﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 系统消息 表
    /// </summary>
    public class Sys_Message :EntityBase
    {
        /// <summary>
        /// 类型
        /// 0 用户登录消息
        /// 1 系统消息
        /// 2 业务消息
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int Type { get; set; }

        /// <summary>
        /// 发布者用户Id
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int IssuerId { get; set; }

        /// <summary>
        /// 消息标题
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(100)")]
        public string Title { get; set; }

        /// <summary>
        /// 消息内容
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(500)")]
        public string Content { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        [SugarColumn(IsNullable = true , ColumnDataType = "datetime")]
        public DateTime ReleaseTime { get; set; }
    }
}
