﻿using Newtonsoft.Json;
using OASystem.Domain.Dtos;
using OASystem.Domain.Entities.Groups;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Group
{
    /// <summary>
    /// 接团信息
    /// 返回视图
    /// </summary>
    public class DelegationInfoView : Grp_DelegationInfo { }
    
    /// <summary>
    /// 接团信息详情
    /// 返回视图
    /// </summary>
    public class DelegationInfoWebView
    {
        /// <summary>
        /// 主键Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 销售报价号
        /// </summary>
        public string SalesQuoteNo { get; set; }


        /// <summary>
        /// 接团人ID
        /// </summary>
        public int JietuanOperator { get; set; }

        /// <summary>
        /// 团组等级
        /// </summary>
        public int TeamLevSId { get; set; }

        /// <summary>
        /// 团组类型
        /// </summary>
        public int TeamDid { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        public string TeamName { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        public string ClientName { get; set; }

        /// <summary>
        /// 客户所属公司
        /// </summary>
        public string ClientUnit { get; set; }

        /// <summary>
        /// 出访国家
        /// </summary>
        public string VisitCountry { get; set; }

        /// <summary>
        /// 出团日期
        /// </summary>
        public DateTime VisitDate { get; set; }

        /// <summary>
        /// 出行天数
        /// </summary>
        public int VisitDays { get; set; }

        /// <summary>
        /// 出行人数
        /// </summary>
        public int VisitPNumber { get; set; }

        /// <summary>
        /// 合同时间
        /// </summary>
        public DateTime TontractTime { get; set; }
        /// <summary>
        /// 预付期限
        /// </summary>
        public int PayDay { get; set; }

        /// <summary>
        /// 预付金额
        /// </summary>
        public decimal PaymentMoney { get; set; }

        /// <summary>
        /// 出访目的
        /// </summary>
        public string VisitPurpose { get; set; }

        /// <summary>
        /// 特俗需求
        /// </summary>
        public string SpecialNeeds { get; set; }

        /// <summary>
        /// 其他需求
        /// </summary>
        public string OtherNeeds { get; set; }

        /// <summary>
        /// 出国任务审批部门名称
        /// </summary>
        public string CGRWSPBMMC { get; set; }
        /// <summary>
        /// 出国任务审批文号
        /// </summary>
        public string CGRWSPWH { get; set; }
        /// <summary>
        /// 政治审查部门名称
        /// </summary>
        public string ZZSCBMMC { get; set; }
        /// <summary>
        /// 政治审查部门审批文号
        /// </summary>
        public string ZZSCSPWH { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string TellPhone { get; set; }
    }

    // <summary>
    /// 接团信息列表
    /// 返回视图
    /// </summary>
    public class DelegationListView 
    {
        /// <summary>
        /// 主键Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 销售报价号
        /// </summary>
        public string SalesQuoteNo { get; set; }

        /// <summary>
        /// 团号
        /// </summary>
        public string TourCode { get; set; }

        /// <summary>
        /// 接团操作人
        /// </summary>
        public string JietuanOperator { get; set; }

        /// <summary>
        /// 团组等级 
        /// </summary>
        public string TeamLev { get; set; }

        /// <summary>
        /// 团组类型
        /// </summary>
        public string TeamType { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        public string TeamName { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        public string ClientName { get; set; }

        /// <summary>
        /// 客户所属公司
        /// </summary>
        public string ClientUnit { get; set; }

        /// <summary>
        /// 出团日期
        /// </summary>
        public DateTime VisitDate { get; set; }

        /// <summary>
        /// 出行天数
        /// </summary>
        public int VisitDays { get; set; }

        /// <summary>
        /// 出行人数
        /// </summary>
        public int VisitPNumber { get; set; }


        /// <summary>
        /// 是否操作完成 
        /// 0否1是
        /// </summary>
        public int IsSure { get; set; }
    }


    /// <summary>
    /// 团组编号
    /// </summary>
    public class TeamCodeView 
    {
        public string TourCode { get; set; }
    }

    /// <summary>
    /// 销售编号
    /// </summary>
    public class SalesQuoteNoView
    {
        public string SalesQuoteNo { get; set; }
    }
}
