﻿using Newtonsoft.Json;
using OASystem.Domain.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    public class Grp_ScheduleView
    {
        /// <summary>
        /// 流程管控Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 团组Id
        /// </summary>
        public int DiId { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        public string DeleName { get; set; }

        /// <summary>
        /// 主流程(枚举)
        /// </summary>
        public GrpSchedulePrimaryStepEnum PrimaryStep { get; set; }

        /// <summary>
        /// 主流程中文描述
        /// </summary>
        public string PrimaryStep_Text
        {
            get
            {
                return EnumHelper.GetEnumDescription(PrimaryStep);
            }
        }

        /// <summary>
        /// 预计开始时间
        /// </summary>
        public DateTime ExpectBeginDt { get; set; }

        /// <summary>
        /// 预计结束时间
        /// </summary>
        public DateTime ExpectEndDt { get; set; }

        /// <summary>
        /// 总负责人Id
        /// </summary>
        public int Leader { get; set; }

        /// <summary>
        /// 总负责人
        /// </summary>
        public string LeaderName { get; set; }

        /// <summary>
        /// 异常状态0：正常 1：异常
        /// </summary>
        public int Exception { get; set; }
    }
}
